import { Repository } from "typeorm";
import { ShopContact } from "../../common/shopcontact/shopcontact.entity";
import { CreateShopContactDto, UpdateShopContactDto } from "./shopcontact.dto";
export declare class AdminShopContact {
    private readonly shopContactRepository;
    constructor(shopContactRepository: Repository<ShopContact>);
    create(createShopContactDto: CreateShopContactDto): Promise<ShopContact>;
    findOne(id: number): Promise<ShopContact>;
    update(id: number, updateShopContactDto: UpdateShopContactDto): Promise<ShopContact>;
}
